Vessel Operations
Get Vessel Info
Retrieve comprehensive vessel information including particulars, location, engine data, management details, and port history. Costs 5 credits per request. Rate limit: 15 requests/min.
GET
/
get-vessel-info
Get Vessel Info
curl --request GET \
--url https://datadocked.com/api/vessels_operations/get-vessel-info \
--header 'x-api-key: <api-key>'import requests
url = "https://datadocked.com/api/vessels_operations/get-vessel-info"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://datadocked.com/api/vessels_operations/get-vessel-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": {
"name": "<string>",
"mmsi": "<string>",
"imo": "<string>",
"country": "<string>",
"countryIso": "<string>",
"shipType": "<string>",
"typeSpecific": "<string>",
"callsign": "<string>",
"teu": "<string>",
"length": "<string>",
"beam": "<string>",
"eni": "<string>",
"etaUtc": "<string>",
"deadweight": "<string>",
"speed": "<string>",
"atdUtc": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"course": "<string>",
"destination": "<string>",
"hull": "<string>",
"builder": "<string>",
"material": "<string>",
"placeOfBuild": "<string>",
"positionReceived": "<string>",
"ballastWater": "<string>",
"crudeOil": "<string>",
"freshWater": "<string>",
"gas": "<string>",
"grain": "<string>",
"bale": "<string>",
"unlocodeDestination": "<string>",
"unlocodeLastport": "<string>",
"lastPort": "<string>",
"navigationalStatus": "<string>",
"grossTonnage": "<string>",
"netTonnage": "<string>",
"yearOfBuilt": "<string>",
"engine": {
"fuelType": "<string>",
"Propeller": "<string>",
"engineType": "<string>",
"engineBuilder": "<string>",
"enginePower(kW)": "<string>"
},
"management": {
"P&I": "<string>",
"ism": "<string>",
"ismWeb": "<string>",
"manager": "<string>",
"ismEmail": "<string>",
"ismAddress": "<string>",
"ismWebsite": "<string>",
"managerEmail": "<string>",
"managerAddress": "<string>",
"managerWebsite": "<string>",
"registeredOwner": "<string>",
"registeredOwnerEmail": "<string>",
"ClassificationSociety": "<string>",
"registeredOwnerAddress": "<string>",
"registeredOwnerWebsite": "<string>"
},
"updateTime": "<string>",
"dataSource": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Retrieve comprehensive vessel information including particulars, real-time location, engine specifications, management details, and port history in a single request.
Credits: 5 credits per request
Response Fields
This endpoint returns the most complete vessel data available, including:- Identification: IMO, MMSI, name, callsign, flag
- Specifications: Dimensions, tonnage, capacity, build info
- Real-time Position: Coordinates, speed, course, destination
- Engine Data: Type, builder, power, fuel type
- Management: Owner, manager, ISM, P&I club, classification society
If you only need specific data (e.g., just location or particulars), consider using the dedicated endpoints to save credits.
Authorizations
Your personal API key found in your profile dashboard at https://datadocked.com/dashboard/my_keys
Query Parameters
The IMO or MMSI number of the vessel you want to query.
Response
Successful response with vessel information
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get Vessel Info
